#
# Conditional build:
%bcond_without	wimax		# Intel WiMAX support
#
Summary:	Connection Manager
Summary(pl.UTF-8):	Zarządca połączeń
Name:		connman
Version:	1.4
Release:	1
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://www.kernel.org/pub/linux/network/connman/%{name}-%{version}.tar.xz
# Source0-md5:	676163d24a4d07153468e051fa2f925d
URL:		http://connman.net/
BuildRequires:	glib2-devel >= 1:2.28
BuildRequires:	dbus-devel >= 1.4
BuildRequires:	gnutls-devel
BuildRequires:	iptables-devel
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel
BuildRequires:	ppp-plugin-devel
BuildRequires:	systemd-devel
BuildRequires:	tar >= 1:1.22
%{?with_wimax:BuildRequires:	wimax-devel}
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		skip_post_check_so	libppp-plugin.so.*

%description
The ConnMan project provides a daemon for managing Internet
connections within embedded devices running the Linux operating
system. The Connection Manager is designed to be slim and to use as
few resources as possible, so it can be easily integrated. It is a
fully modular system that can be extended, through plug-ins, to
support all kinds of wired or wireless technologies. Also,
configuration methods, like DHCP and domain name resolving, are
implemented using plug-ins. The plug-in approach allows for easy
adaption and modification for various use cases.

%description -l pl.UTF-8
Projekt ConnMan udostępnia demona do zarządzania połączeniami z
Internetem na urządzeniach wbudowanych z działającym Linuksem jako
systemem operacyjnym. Zarządca połączeń został zaprojektowany jako
lekki i używający jak najmniej zasobów, dzięki czemu może być łatwo
integrowany. Ma w pełni modularny system, który można rozszerzać
poprzez wtyczki, aby obsługiwał wszelkie rodzaje przewodowych i
bezprzewodowych połączeń. Metody konfiguracji, takie jak DHCP czy
rozwiązywanie nazw domenowych, także są implementowane poprzez
wtyczki. Takie podejście do wtyczek pozwala na łatwe adaptowanie i
modyfikowanie pod kątem różnych przypadków użycia.

%package plugin-wimax
Summary:	WiMAX plugin for ConnMan
Summary(pl.UTF-8):	Wtyczka WiMAX dla ConnMana
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description plugin-wimax
WiMAX plugin for ConnMan.

%description plugin-wimax -l pl.UTF-8
Wtyczka WiMAX dla ConnMana.

%package devel
Summary:	Header files for ConnMan plugins
Summary(pl.UTF-8):	Pliki nagłówkowe dla wtyczek ConnMana
Group:		Development/Libraries
# doesn't require base

%description devel
Header files for ConnMan plugins.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla wtyczek ConnMana.

%prep
%setup -q

%build
%configure \
	L2TP=/usr/sbin/xl2tpd \
	PPPD=/usr/sbin/pppd \
	PPTP=/usr/sbin/pptp \
	WPASUPPLICANT=/usr/sbin/wpa_supplicant \
	--disable-silent-rules \
	--enable-hh2serial-gps \
	--enable-iospm \
	%{?with_wimax:--enable-iwmx} \
	--enable-l2tp \
	--enable-nmcompat \
	--enable-openconnect \
	--enable-openvpn \
	--enable-polkit \
	--enable-pptp \
	--enable-threads \
	--enable-tist \
	--enable-vpnc \
	--with-openconnect=/usr/sbin/openconnect \
	--with-openvpn=/usr/sbin/openvpn \
	--with-vpnc=/usr/bin/vpnc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/connman/{plugins,scripts}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_sbindir}/connmand
%dir %{_libdir}/connman
%dir %{_libdir}/connman/plugins
%attr(755,root,root) %{_libdir}/connman/plugins/hh2serial-gps.so
%attr(755,root,root) %{_libdir}/connman/plugins/iospm.so
%attr(755,root,root) %{_libdir}/connman/plugins/l2tp.so
%attr(755,root,root) %{_libdir}/connman/plugins/openconnect.so
%attr(755,root,root) %{_libdir}/connman/plugins/openvpn.so
%attr(755,root,root) %{_libdir}/connman/plugins/pptp.so
%attr(755,root,root) %{_libdir}/connman/plugins/tist.so
%attr(755,root,root) %{_libdir}/connman/plugins/vpnc.so
%dir %{_libdir}/connman/scripts
%attr(755,root,root) %{_libdir}/connman/scripts/libppp-plugin.so*
%attr(755,root,root) %{_libdir}/connman/scripts/openconnect-script
%attr(755,root,root) %{_libdir}/connman/scripts/openvpn-script
/etc/dbus-1/system.d/connman.conf
/etc/dbus-1/system.d/connman-nmcompat.conf
/usr/share/polkit-1/actions/net.connman.policy
%{systemdunitdir}/connman.service

%files plugin-wimax
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/connman/plugins/iwmxsdk.so

%files devel
%defattr(644,root,root,755)
%doc doc/*.txt
%{_includedir}/connman
%{_pkgconfigdir}/connman.pc
%changelog
* Wed Aug 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 89c66a2
- updated to 1.4

* Fri Jul 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 50d3cce
- updated to 1.3

* Sun Jul 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 121cced
- updated to 1.2

* Sat Jun 02 2012 Jakub Bogusz <qboosh@pld-linux.org> e6961d0
- new

